package dev.struchkov.yookassa.sdk.model.common;

import dev.struchkov.yookassa.sdk.model.Required;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class MarkQuantity {

    /**
     * Числитель — количество продаваемых товаров из одной потребительской упаковки (тег в 54 ФЗ — 1293). Не может превышать denominator.
     */
    @Required
    private Integer numerator;

    /**
     * Знаменатель — общее количество товаров в потребительской упаковке (тег в 54 ФЗ — 1294).
     */
    @Required
    private Integer denominator;

}
