package dev.struchkov.yookassa.sdk.model.response;

import com.fasterxml.jackson.annotation.JsonProperty;
import dev.struchkov.yookassa.sdk.model.common.Amount;
import dev.struchkov.yookassa.sdk.model.common.Payment;
import dev.struchkov.yookassa.sdk.model.common.Recipient;
import dev.struchkov.yookassa.sdk.model.webhook.PaymentStatus;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

import java.time.ZonedDateTime;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class PaymentResponse extends Payment {

    private String id;

    @JsonProperty("status")
    private PaymentStatus status;

    private boolean paid;

    private Amount amount;

    private Confirmation confirmation;

    /**
     * Время создания заказа. Указывается по UTC и передается в формате ISO 8601. Пример: 2017-11-03T11:52:31.827Z
     */
    @JsonProperty("created_at")
    private ZonedDateTime createdAt;

    private String description;

    private Recipient recipient;

    private boolean refundable;

    private boolean test;

    @Getter
    @Setter
    @Builder
    @NoArgsConstructor
    @AllArgsConstructor(access = AccessLevel.PRIVATE)
    public static class Confirmation {

        @JsonProperty("type")
        private String type;

        @JsonProperty("confirmation_url")
        private String confirmationUrl;

    }

}
