package dev.struchkov.yookassa.sdk.model.webhook;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class AuthorizationDetails {

    /**
     * Retrieval Reference Number — уникальный идентификатор транзакции в системе эмитента. Используется при оплате банковской картой.
     */
    @JsonProperty("rrn")
    private String rrn;

    /**
     * Код авторизации банковской карты. Выдается эмитентом и подтверждает проведение авторизации.
     */
    @JsonProperty("auth_code")
    private String authCode;

    /**
     * Данные о прохождении пользователем аутентификации по 3‑D Secure для подтверждения платежа.
     */
    @JsonProperty("three_d_secure")
    private ThreeDSecure threeDSecure;

}
