package dev.struchkov.yookassa.sdk.model.webhook;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;
import lombok.ToString;

@Getter
@Setter
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class CancellationDetails {

    /**
     * Участник процесса платежа, который принял решение об отмене транзакции. Может принимать значения yoo_money, payment_network и merchant. <a href="https://yookassa.ru/developers/payment-acceptance/after-the-payment/declined-payments#cancellation-details-party">Подробнее про инициаторов отмены платежа</a>
     */
    private Party party;

    /**
     * Причина отмены платежа. <a href="https://yookassa.ru/developers/payment-acceptance/after-the-payment/declined-payments#cancellation-details-reason">Перечень и описание возможных значений</a>
     */
    private String reason;

}
