package dev.struchkov.yookassa.sdk.util;

import dev.struchkov.yookassa.sdk.model.request.PaymentRequest;

import jakarta.ws.rs.client.ClientRequestContext;
import jakarta.ws.rs.client.ClientRequestFilter;
import java.io.IOException;

public class IdempotenceKeyClientFilter implements ClientRequestFilter {

    @Override
    public void filter(ClientRequestContext requestContext) throws IOException {
        Object entity = requestContext.getEntity();
        if (entity instanceof PaymentRequest paymentRequest) {
            requestContext.getHeaders().add("Idempotence-Key", paymentRequest.getIdempotenceKey().toString());
        }
    }

}
