package dev.struchkov.yookassa.sdk.util;

import dev.struchkov.yookassa.sdk.model.exception.YookassaApiException;
import dev.struchkov.yookassa.sdk.model.response.YooKassaApiErrorResponse;
import lombok.extern.slf4j.Slf4j;
import org.eclipse.microprofile.rest.client.ext.ResponseExceptionMapper;

import jakarta.ws.rs.core.Response;

@Slf4j
public class YookassaExceptionHandler implements ResponseExceptionMapper<Exception> {

    @Override
    public Exception toThrowable(Response r) {
        final YooKassaApiErrorResponse errorResponse = r.readEntity(YooKassaApiErrorResponse.class);

        final YookassaApiException exception = new YookassaApiException();
        exception.setType(errorResponse.getType());
        exception.setId(errorResponse.getId());
        exception.setCode(errorResponse.getCode());
        exception.setDescription(errorResponse.getDescription());
        exception.setParameter(errorResponse.getParameter());
        return exception;
    }

}
